02.12.2021

В пакетном менеджере PIP прекращена поддержка Python 2

Представлен выпуск пакетного менеджера PIP 21.0, применяемого для установки дополнительных Python-библиотек из PyPI и других репозиториев. Ключевым изменением в новом выпуске стало прекращение поддержки Python 2.7 и 3.5, а также прекращение совместимости с записями в кэше, созданными в версиях pip < 20.0. Одновременно предложено обновление PIP 20.3.4, которое помечено как последний выпуск с поддержкой Python 2. Пользователям Python 2 необходимо оставаться на старых выпусках PIP. Совместимая с Python 2.7 версия скрипта get-pip.py предоставляется отдельно.

Дополнительно можно отметить новый выпуск проекта Pyston 2.1, развивающего высокопроизводительную реализацию языка Python, использующую наработки проекта LLVM. Реализация примечательна применением современных технологий JIT-компиляции и нацелена на достижение высокой производительности, близкой к производительности традиционных системных языков, таких как C++. Pyston 2 быстрее штатного Python 3.8 примерно на 20% при прохождении тестового набора python-macrobenchmarks.

Новый выпуск Pyston включает лишь исправления и незначительные улучшения, нацеленные на упрощение использования. К сожалению, код ветки Pyston 2 остаётся недоступен, а для загрузки предлагаются готовые сборки и пустой архив с информацией, что проект пока является закрытым (Pyston 1.0 распространялся под лицензией Apache 2.0, но после отделения проекта от Dropbox код перестал публиковаться).

Источник.